Subject: Re: [PATCH] completion (zsh): fix misleading install location

From: Maxim Belsky <[email-masked]>
Date: Wed, 2 Oct 2019 00:05:26 +0300

Hey, 

I face same issue a few days ago. Initially I thought `~/.zsh/_git` should be a dictionary. I’ve made all required actions, but completion didn't work. After a few hours I found that it should be just a file instead of a dictionary.

I have two ideas how to patch this comments to help another users setup completion:

1. Add a note that `~/.zsh/_git` should be a file https://github.com/mbelsky/git/commit/e951a0dee5f124ad755d32fa5cc5cded471d389b 
2. Change the patch to make it more obvious https://github.com/mbelsky/git/commit/6c839727163b29b2d2cf5d2ec7f780c2826848d6

It’s my first time mail listing experience so I just put links on github to don’t make something wrong.

What do you think about this changes? 

> On 7 Jun 2019, at 00:38, Durant Schoon <[email-masked]> wrote:
> 
> diff --git a/contrib/completion/git-completion.zsh b/contrib/completion/git-completion.zsh
> index 886bf95d1f594..0e63004e2613e 100644
> --- a/contrib/completion/git-completion.zsh
> +++ b/contrib/completion/git-completion.zsh
> @@ -11,8 +11,8 @@
> #
> #  zstyle ':completion:*:*:git:*' script ~/.git-completion.zsh
> #
> -# The recommended way to install this script is to copy to '~/.zsh/_git', and
> -# then add the following to your ~/.zshrc file:
> +# The recommended way to install this script is to copy to '~/.zsh/_git/',
> +# and then add the following to your ~/.zshrc file: